package com.simuwang.manage.service;

import com.simuwang.base.pojo.vo.MailboxInfoTableVO;
import com.simuwang.base.pojo.vo.MailboxInfoVO;

import java.util.List;

/**
 * FileName: EmailConfigService
 * Author:   chenjianhua
 * Date:     2024/9/9 13:40
 * Description: ${DESCRIPTION}
 */
public interface EmailConfigService {
    List<MailboxInfoTableVO> searchEmailConfigList(String email);

    void saveEmailConfig(MailboxInfoVO mailboxInfoVO);

    String connectTest(MailboxInfoVO mailboxInfoVO);

    void deleteEmailConfig(String ids);

    boolean checkEmailUnique(String email);
}
